(*^

::[paletteColors = 128; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	next21StandardFontEncoding; ]
:[font = title; inactive; Cclosed; preserveAspect; startGroup; ]
Lab 8: Vector Functions in Space
:[font = text; inactive; preserveAspect; ]
This lab continues the study of parametrized curves that we began in Lab 2 and continued in Lab 6.  Here, we analyze curves in three dimensions.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Graphs
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
First we define two special function for graphing three-dimensional parametrized curves:
:[font = input; preserveAspect; ]
c[f_][a_,b_] := Graphics3D[Line[Table[N[f[t]],{t,a,b,0.01}]]];
r[f_][a_,b_] := Do[ Show[ c[f][a,b], 
		        	ViewPoint -> {7Cos[s],7Sin[s],2} ], 
			        {s,0,Pi/2,Pi/28} ];
:[font = text; inactive; preserveAspect; endGroup; ]
If f is defined to be a three-dimensional vector-valued function, then c[f][a,b] will produce the graph of f over the range [a,b], and r[f][a,b] will produce a sequence of 15 such graphs, each rotated by a different angle.
;[s]
13:0,0;3,1;4,2;70,3;81,4;107,5;108,6;125,7;126,8;127,9;128,10;134,11;145,12;223,-1;
13:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Examples
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Here is  a simplified version of the helix shown in Example 4 on page 761:
:[font = input; preserveAspect; endGroup; ]
f[t_] := { 3Cos[t], 3Sin[t], t };
Show[ c[f][0,6Pi] ];
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Our second example is a closed space curve:
:[font = input; preserveAspect; endGroup; ]
f[t_] := { Cos[t]^3, Sin[t]^3, Sin[3t] };
Show[ c[f][0,2Pi] ];
:[font = text; inactive; preserveAspect; ]
The problem with two-dimensional pictures of three-dimensional curves is that it is difficult to see the perspective.  In this second example, it is not clear whether the cusp pointing up is in front or behind the cusp pointing down.  Mathematica alleviates that problem by allowing us to animate the picture.
;[s]
3:0,0;235,1;246,2;309,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
The r[f][0,2Pi] command produces a sequence of 15 graphs.  After they have all been generated (it may take a minute), select the cell that contains them all (click on its bracket), and then give the command Graph>Animate Selected Graphics (Command-y) to animate them:
;[s]
7:0,0;3,1;16,2;207,3;238,4;240,5;249,6;267,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,9,Helvetica,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,9,Helvetica,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
r[f][0,2Pi];
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
To slow down the animation, mouse down on the double down arrow button (the second from the right) in the little panel at the bottom right corner of this Mathematica window.  To change the animation so that it runs forward and then backward through the sequence (instead of cycling back to the first after the last), click on the circular arrow button (fifth from the right).  To stop the animation, click anywhere in the window.
;[s]
3:0,0;154,1;166,2;429,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
Examine the following curves.  First execute  Show[c[f][0,2Pi]]  to view the curve statically.  Then execute r[f][0,2Pi] to produce the sequence of 15 graphs that can be animated to rotate the curve.  From the animation, determine in how many places the curve intersects itself.
;[s]
5:0,0;44,1;65,2;108,3;121,4;279,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
1.  { Sin[t], Cos[3t], Sin[3t] }
:[font = text; inactive; preserveAspect; ]
2.  { 2Cos[t]+4Cos[2t], 2Sin[t]-4Sin[2t], 4Sin[t] }
:[font = text; inactive; preserveAspect; ]
3.  { 4Cos[t]+Cos[7t], 4Sin[t]+Sin[7t], 5Cos[t] }
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
4.  {15Cos[t]+10Cos[2t],15Sin[t]-10Sin[2t],4Sin[3t]}
:[font = section; inactive; Cclosed; noPageBreak; preserveAspect; startGroup; ]
The Velocity Vector
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
These definitions similar to those used in Lab 6:
:[font = input; preserveAspect; ]
pt[f_][t_] := Graphics3D[ { PointSize[0.02], Point[f[t]] } ];
v[f_][t_] := Graphics3D[ { Line[{f[t],f[t]+f'[t]}]},
			PointSize[.02], Point[f[t]+f'[t]] ]
tr[f_][a_,b_] := { c[f][a,b], Table[ p[f][t], {t,a,b} ],
                             Table[ v[f][t], {t,a,b} ] };
:[font = text; inactive; preserveAspect; endGroup; ]
Here, pt[f_][t_] is the point at f(t), v[f_][t_] is the velocity vector at f(t), and tr[f_][a_,b_] is the trajectory of f for t in the range [a,b].  The large points mark the locations of the particle at integral time values (t=0, t=1, t=2, etc.), just as in Lab 6.
;[s]
29:0,0;5,1;17,2;33,3;34,4;35,5;36,6;38,7;49,8;75,9;76,10;77,11;78,12;84,13;99,14;120,15;121,16;126,17;127,18;142,19;143,20;144,21;145,22;226,23;227,24;231,25;232,26;236,27;237,28;265,-1;
29:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Here's the trajectory of the helix with velocity vectors attached:
:[font = input; preserveAspect; endGroup; endGroup; ]
f[t_] := { 3Cos[t], 3Sin[t], t };
Show[ tr[f][0,6Pi] ];
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
Examine the velocity vectors of the following curves.
:[font = text; inactive; preserveAspect; ]
1.  { Sin[t], Cos[3t], Sin[3t] }
:[font = text; inactive; preserveAspect; ]
2.  { 2Cos[t]+4Cos[2t], 2Sin[t]-4Sin[2t], Cos[t] }
:[font = text; inactive; preserveAspect; ]
3.  { 4Cos[t]+Cos[7t], 4Sin[t]+Sin[7t], 5Cos[t] }
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
4.  { Cos[3t]+4Cos[t], Sin[3t]+4Sin[t], Cos[t] }
:[font = section; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
The Acceleration Vector
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
The acceleration vector is the second derivative of the function vector.  The following definitions allow the trajectory to be graphed with both velocity vectors and accelerations vectors:
:[font = input; preserveAspect; ]
Clear[a,f,tr];
a[f_][t_] := Graphics3D[ { Line[{f[t],f[t]+f''[t]}]},
			PointSize[.02],Point[f[t]+f''[t]] ];
tr[f_][aa_,b_] := { c[f][aa,b], Table[ p[f][t], {t,aa,b} ],
                               Table[ v[f][t], {t,aa,b} ],
                               Table[ a[f][t], {t,aa,b} ] };

:[font = text; inactive; preserveAspect; endGroup; ]
(To avoid conflict, we had to use the new symbol aa for the lower bound on t.)
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Here's our helix with velocity vectors attached:
:[font = input; preserveAspect; ]
f[t_] := { 3Cos[t], 3Sin[t], t };
Show[ tr[f][0,6Pi] ];
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
Notice that, for the circular helix, all the acceleration vectors point inward toward the axis.
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
Examine the velocity and acceleration vectors of the following curves.
:[font = text; inactive; preserveAspect; ]
1.  { Sin[t], Cos[3t], Sin[3t] }
:[font = text; inactive; preserveAspect; ]
2.  { 2Cos[t]+4Cos[2t], 2Sin[t]-4Sin[2t], Cos[t] }
:[font = text; inactive; preserveAspect; ]
3.  { 4Cos[t]+Cos[7t], 4Sin[t]+Sin[7t], 5Cos[t] }
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
4.  { Cos[3t]+4Cos[t], Sin[3t]+4Sin[t], Cos[t] }
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Speed
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
The speed of a particle is the (scalar) magnitude of its velocity vector:
:[font = input; preserveAspect; ]
Norm[v_] := Sqrt[v.v];
s[f_][t_] := Norm[f'[t]];
:[font = text; inactive; preserveAspect; endGroup; ]
Here, we have used the numerical value because the algebraic expression in nearly every case is intractable.
:[font = subsection; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
Example
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
For our helix:
:[font = input; preserveAspect; endGroup; ]
f[t_] := { 3Cos[t], 3Sin[t], t };
s[f][2]
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
The numerical value is:
:[font = input; preserveAspect; ]
N[s[f][2]]
:[font = text; inactive; preserveAspect; endGroup; ]
This is the speed at the time t=2 .
;[s]
3:0,0;30,1;31,2;36,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
In fact, for the helix, the speed is constant:
:[font = input; preserveAspect; endGroup; endGroup; ]
Table[ N[s[f][t]], {t,0,Pi,Pi/8} ]
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
Use the Table[ N[s[f][t]], {t,0,Pi,Pi/8} ] command to find the speed for each of the following at the 9 times listed.
;[s]
3:0,0;7,1;43,2;118,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
1.  { Sin[t], Cos[3t], Sin[3t] }
:[font = text; inactive; preserveAspect; ]
2.  { 2Cos[t]+4Cos[2t], 2Sin[t]-4Sin[2t], Cos[t] }
:[font = text; inactive; preserveAspect; ]
3.  { 4Cos[t]+Cos[7t], 4Sin[t]+Sin[7t], 5Cos[t] }
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
4.  { Cos[3t]+4Cos[t], Sin[3t]+4Sin[t], Cos[t] }
:[font = section; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
Arc Length
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
The length of a curve is the integral of its speed:
:[font = input; preserveAspect; endGroup; ]
len[f_][aa_,b_] := Integrate[ s[f][t], {t,aa,b} ]
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
For our helix:
:[font = input; preserveAspect; endGroup; ]
f[t_] := { 3Cos[t], 3Sin[t], t };
len[f][0,2Pi]
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
The numerical value is:
:[font = input; preserveAspect; endGroup; endGroup; ]
N[%]
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
Find the (numerical) length of each curve from t=0 to t=2Pi :
;[s]
5:0,0;47,1;48,2;54,3;55,4;62,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
1.  { Sin[t], Cos[3t], Sin[3t] }
:[font = text; inactive; preserveAspect; ]
2.  { 2Cos[t]+4Cos[2t], 2Sin[t]-4Sin[2t], Cos[t] }
:[font = text; inactive; preserveAspect; ]
3.  { 4Cos[t]+Cos[7t], 4Sin[t]+Sin[7t], 5Cos[t] }
:[font = text; inactive; preserveAspect; ]
4.  { Cos[3t]+4Cos[t], Sin[3t]+4Sin[t], Cos[t] }
:[font = text; inactive; preserveAspect; endGroup; endGroup; endGroup; ]
5.  {15Cos[t]+10Cos[2t],15Sin[t]-10Sin[2t],4Sin[3t]}
^*)